Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.reflect
Class InvocationTargetException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.reflect.InvocationTargetException

All Implemented Interfaces:
  Serializable

public class InvocationTargetException
extends Exception

InvocationTargetException is a checked exception that wraps an exception thrown by an invoked method or constructor.

See Also:
  `Method`, `Constructor`, Serialized Form

Constructor Summary
`protected` | `InvocationTargetException()` Constructs an `InvocationTargetException` with `null` as the target exception.
`` | `InvocationTargetException(Throwable target)` Constructs a InvocationTargetException with a target exception.
`` | `InvocationTargetException(Throwable target, String s)` Constructs a InvocationTargetException with a target exception and a detail message.

Method Summary
`Throwable` | `getTargetException()` Get the thrown target exception.
`void` | `printStackTrace()` Prints the stack trace of the thrown target exception.
`void` | `printStackTrace(PrintStream ps)` Prints the stack trace of the thrown target exception to the specified print stream.
`void` | `printStackTrace(PrintWriter pw)` Prints the stack trace of the thrown target exception to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvocationTargetException

    protected InvocationTargetException()

  Constructs an `InvocationTargetException` with `null` as the target exception.

### InvocationTargetException

    public InvocationTargetException(Throwable target)

  Constructs a InvocationTargetException with a target exception.

### InvocationTargetException

    public InvocationTargetException(Throwable target,
                                     String s)

  Constructs a InvocationTargetException with a target exception and a detail message.

Method Detail

### getTargetException

    public Throwable getTargetException()

  Get the thrown target exception.

### printStackTrace

    public void printStackTrace()

  Prints the stack trace of the thrown target exception.
  Overrides:
    `printStackTrace` in class `Throwable`
  See Also:
    `System.err`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Prints the stack trace of the thrown target exception to the specified print stream.
  Overrides:
    `printStackTrace` in class `Throwable`
  Following copied from class: `java.lang.Throwable`
  Parameters:
    `s` - `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Prints the stack trace of the thrown target exception to the specified print writer.
  Overrides:
    `printStackTrace` in class `Throwable`
  Following copied from class: `java.lang.Throwable`
  Parameters:
    `s` - `PrintWriter` to use for output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.